#!/bin/bash

if [ "x$GSDL3HOME" = "x" ] ; then
   source ./SETUP.bash
fi
   

#java -cp web/WEB-INF/lib/gsdl3.jar:web/WEB-INF/lib/log4j-1.2.8.jar:web/WEB-INF/lib/gutil.jar org.greenstone.gsdl3.util.XSLTUtil \
#     "$@"

source_xml_filename="$1"
stylesheet_xslt_filename="$2"

if [ "x${source_xml_filename%%/*}" != "x" ] ; then
    source_xml_filename="${GSDL3HOME}/logs/tmp/$source_xml_filename"
fi

if [ "x${stylesheet_xslt_filename%%/*}" != "x" ] ; then
    stylesheet_xslt_filename="${GSDL3HOME}/logs/tmp/$stylesheet_xslt_filename"
fi


if [ ! -d tmp ] ; then
    mkdir tmp
fi

#Look for stylesheet in: /mnt/disks/atea-scratch-encrypted/davidb/research/code-managed/intermuse/greenstone3-svn/web/logs/tmp/stylesheet79.xml
#Look for source XML in: /mnt/disks/atea-scratch-encrypted/davidb/research/code-managed/intermuse/greenstone3-svn/web/logs/tmp/source79.xml

echo ""
echo "Applying XSL Transform:"
echo ""
echo "    java"
echo "       org.apache.xalan.xslt.Process \\"
echo "       -IN $source_xml_filename \\"
echo "       -XSL $stylesheet_xslt_filename" 

java \
    -cp web/WEB-INF/lib/xalan.jar:web/WEB-INF/lib/serializer.jar:web/WEB-INF/lib/xml-apis.jar:web/WEB-INF/lib/xercesImpl.jar \
    -Djavax.xml.transform.TransformerFactory=org.apache.xalan.processor.TransformerFactoryImpl \
    org.apache.xalan.xslt.Process -IN "$source_xml_filename" -XSL "$stylesheet_xslt_filename" -OUT "tmp/gs-xslt-interface--$$.out"

echo ""
echo "Saved XSL Transform output to:"
echo "    tmp/gs-xslt-interface--$$.out"



