#!/bin/bash

# HMS_1/HMS_1.pdf

if [ ! -d Items ] ; then
    echo ""
    echo "Creating directory: Items"
    echo ""
    mkdir Items
fi

#for full_archive_dir in Archive/HMS_*[0-9] Archives/BMS_[0-9]_[0-9]_*[0-9] ; do
for full_archive_dir in Archive/* ; do    
    echo "Processing $full_archive_dir"
    archive_dir=${full_archive_dir##*/}
    vol=${archive_dir#*_}
    
    full_item_dir=Items/${archive_dir}
    item_dir=${archive_dir}
    
    /bin/rm -rf $full_item_dir
    mkdir $full_item_dir
    #mkdir $full_item_dir/TIFFs
    mkdir $full_item_dir/JPEGs

    full_item_filename=$full_item_dir/$archive_dir.item

    echo ""
    echo "Generating $full_item_filename"
    echo ""
   
    echo "<Volume>$vol" > $full_item_filename
    
    #images=$(cd $full_archive_dir/TIFFs && ls ${archive_dir}_[0-9][0-9][0-9][0-9].tif)
    #images=$(cd $full_archive_dir/JPEGs && ls ${archive_dir}_[0-9][0-9][0-9][0-9].jpg)
    images=$(cd $full_archive_dir/JPEGs && ls ${archive_dir}_*[0-9].jpg)    

    echo "  Appending/Copying Images"
    for image in $images ; do
	page_num_with_ext=${image#_}
	#page_num=${page_num_with_ext%.tif}
	page_num=${page_num_with_ext%.jpg}
	
	#echo "    $full_archive_dir/TIFFs/$image -> $full_item_dir/TIFFs/$image"
	#/bin/cp $full_archive_dir/TIFFs/$image $full_item_dir/TIFFs/$image
	echo "    $full_archive_dir/JPEGs/$image -> $full_item_dir/JPEGs/$image"
	/bin/cp $full_archive_dir/JPEGs/$image $full_item_dir/JPEGs/$image

	# Only image, no ocr'd txt file
	#echo "$page_num:TIFFs/$image:" >> $full_item_filename
	echo "$page_num:JPEGs/$image:" >> $full_item_filename
    done

    

done

echo ""


