#!/bin/bash

echo "Copying Items/HMS_* directories to ../import"

#for full_d in Items/HMS_* ; do
for full_d in Items/*_*[0-9] ; do
    d=${full_d##*/}
    if [ -d ../import/$d ] ; then
	echo "  Removing pre-existing ../import/$d"
	/bin/rm -r ../import/$d
    fi

    #echo "  Copying $d"
    #/bin/cp -r $full_d ../import/.

    # Example of recursive copy that uses hardlinks for files
    # rsync -av --link-dest="$PWD/a" a/ b
    #
    # For more details see (down near the bottom)
    #   https://unix.stackexchange.com/questions/202430/how-to-copy-a-directory-recursively-using-hardlinks-for-each-file

    echo "  Hardlink file recursive copying $d"
    rsync -av --link-dest="$PWD/$full_d" $full_d/ ../import


done

